# Interface IThemeManager

public interface IThemeManager
Manages the theme engines for displays. This service is available through the OSGi-Service registry

## Method Summary

Modifier and Type
Method
Description
`IThemeEngine`
`getEngineForDisplay(Display display)`
Get the engine for a given display

## Method Details

### getEngineForDisplay

IThemeEngine getEngineForDisplay(Display display)
Get the engine for a given display

Parameters:
  `display` - the display the engine is for
Returns:
  a new theme engine when none already created